<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
RecnoDatabase..::.Cursor Method (CursorConfig, Transaction)
RecnoDatabase Class See Also Send Feedback

Create a transactionally protected database cursor with the given configuration.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#

    public RecnoCursor Cursor(
    	CursorConfig cfg,
    	Transaction txn
    )

Visual Basic (Declaration)

    Public Function Cursor ( _
    	cfg As CursorConfig, _
    	txn As Transaction _
    ) As RecnoCursor

Visual C++

    public:
    RecnoCursor^ Cursor(
    	CursorConfig^ cfg,
    	Transaction^ txn
    )

#### Parameters

cfg
  Type: BerkeleyDB..::.CursorConfig
  The configuration properties for the cursor.

txn
  Type: BerkeleyDB..::.Transaction
  The transaction context in which the cursor may be used.

#### Return Value

A newly created cursor

# See Also

RecnoDatabase Class
Cursor Overload
BerkeleyDB Namespace